Bug 445653 - Review Request: libformula - Java Formula Parser
Review Request: libformula - Java Formula Parser
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-08 06:32 EDT by Caolan McNamara
Modified: 2008-06-30 13:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-30 13:30:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2008-05-08 06:32:53 EDT
Spec URL: http://people.redhat.com/caolanm/jfreereport/libformula.spec
SRPM URL: http://people.redhat.com/caolanm/jfreereport/libformula-0.1.18-1.fc9.src.rpm
Description: Java Formula Parser

A dependency of jfreereport which itself is a dependency of openoffice.org3
Comment 1 Jason Tibbitts 2008-06-27 16:53:27 EDT
rpmlint again says:
  libformula-javadoc.x86_64: W: non-standard-group Development/Documentation
which isn't an issue.


* source files match upstream:
   d369b01bad65469a4fc2b31141ae696b43e164842634b48266ce55088ee0efc2  
   libformula-0.1.18.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  libformula-0.1.18-1.fc10.x86_64.rpm
   libformula.jar.so()(64bit)
   libformula = 0.1.18-1.fc10
  =
   /bin/sh
   java
   java-gcj-compat >= 1.0.31
   jcommon
   jpackage-utils
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libgcj_bc.so.1()(64bit)
   libz.so.1()(64bit)

  libformula-javadoc-0.1.18-1.fc10.x86_64.rpm
   libformula-javadoc = 0.1.18-1.fc10
  =
   jpackage-utils
   libformula = 0.1.18-1.fc10

* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* %docs are not necessary for the proper functioning of the package.
* no pre-built jars
* single jar, named after the package
* jarfiles are under _javadir.
* javadocs are under _javadocdir.
* ant called properly.
* no wrapper script necessary.
* gcj called properly.
* gcj scriptlets present and OK.

APPROVED
Comment 2 Caolan McNamara 2008-06-30 05:08:23 EDT
New Package CVS Request
=======================
Package Name: libformula
Short Description: A Java Formula Parser
Owners: caolanm
Branches: 
InitialCC:
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-06-30 12:02:46 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.